---
- name: get installed vault version # noqa 301
  shell: "vault version"
  register: vault_version_result
  ignore_errors: yes

- name: set vault current version fact
  set_fact:
    vault_current_version: "{{ vault_version_result.stdout | default('') | regex_replace('Vault v([0-9]+\\.[0-9]+\\.[0-9]+).*', '\\1') }}"
  register: vault_fact_result

- name: get latest stable vault tag
  uri:
    url: "{{ vault_release_api_url }}"
  ignore_errors: yes
  register: vault_github_result
  when: vault_version == 'latest'

- name: set vault latest version fact
  set_fact:
    vault_version: "{{ vault_github_result.json.tag_name|default(vault_default_version)|replace('v','') }}"
  when: vault_version == 'latest'

- name: set vault version fact
  set_fact:
    vault_version: "{{ vault_default_version }}"
  when: not vault_version
